function init(hero) {
    hero.setName("Samus/SSBHP");
    hero.setVersion("Super Smash Bros");
    hero.setTier(3);


    hero.setHelmet("Helmet");
    hero.setChestplate("Chestplate");    
    hero.setLeggings("Pants");
    hero.setBoots("Boots");


    hero.addAbilities("fiskheroes:energy_blast", "fiskheroes:heat_resistance", "fiskheroes:cold_resistance");
    hero.addAttribute("ATTACK_DAMAGE", 0.1, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3.0, 0);

    hero.addKeyBind("AIM", "key.shoot", 1);
	
    hero.setHasProperty(hasProperty);
    hero.supplyFunction("canAim", canAim);

    hero.setDefaultScale(1.04);
}

function canAim(entity) {
    return entity.getHeldItem().isEmpty();
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}




